GDB (xrefs)

Public Member Functions | Private Member Functions | Private Attributes | List of all members
data_buf Class Reference

## Public Member Functions
template<typename T >
void | append_data (const T &data)
void | append_cstr0 (const char *cstr)
void | append_unsigned_leb128 (ULONGEST input)
void | append_uint (size_t len, bfd_endian byte_order, ULONGEST val)
size_t | size () const
bool | empty () const
void | file_write (FILE *file) const

## Private Member Functions
gdb_byte * | grow (size_t size)

## Private Attributes
gdb::byte_vector | m_vec

## Detailed Description

Definition at line 25475 of file dwarf2read.c.

## Member Function Documentation

## ◆ append_cstr0()

void data_buf::append_cstr0 | ( | const char * | cstr | ) |
| inline

Definition at line 25489 of file dwarf2read.c.

References grow(), and size().

Referenced by debug_names::debug_str_lookup::lookup(), and write_hash_table().

## ◆ append_data()

template<typename T >

void data_buf::append_data | ( | const T & | data | ) |
| inline

Definition at line 25480 of file dwarf2read.c.

References grow().

Referenced by add_address_entry(), append_unsigned_leb128(), write_debug_names(), write_gdbindex(), and write_hash_table().

## ◆ append_uint()

void data_buf::append_uint | ( | size_t | len,
|  | bfd_endian | byte_order,
|  | ULONGEST | val
| ) |  |
| inline

Definition at line 25512 of file dwarf2read.c.

References grow(), and store_unsigned_integer().

Referenced by add_address_entry(), write_debug_names(), write_gdbindex(), write_one_signatured_type(), and debug_names::write_one_signatured_type().

## ◆ append_unsigned_leb128()

void data_buf::append_unsigned_leb128 | ( | ULONGEST | input | ) |
| inline

Definition at line 25496 of file dwarf2read.c.

References append_data().

Referenced by debug_names::build().

## ◆ empty()

bool data_buf::empty | ( |  | ) | const
| inline

Definition at line 25524 of file dwarf2read.c.

References m_vec.

Referenced by debug_names::abbrev_table_bytes(), debug_names::bucket_count(), debug_names::build(), debug_names::bytes(), debug_names::file_write(), and debug_names::name_count().

## ◆ file_write()

void data_buf::file_write | ( | FILE * | file | ) | const
| inline

Definition at line 25530 of file dwarf2read.c.

References m_vec.

Referenced by debug_names::file_write(), debug_names::debug_str_lookup::file_write(), write_debug_names(), and write_gdbindex().

## ◆ grow()

gdb_byte* data_buf::grow | ( | size_t | size | ) |
| inline private

Definition at line 25538 of file dwarf2read.c.

References m_vec, and size().

Referenced by append_cstr0(), append_data(), and append_uint().

## ◆ size()

size_t data_buf::size | ( |  | ) | const
| inline

Definition at line 25518 of file dwarf2read.c.

References m_vec.

Referenced by debug_names::abbrev_table_bytes(), append_cstr0(), debug_names::build(), debug_names::bytes(), grow(), debug_names::debug_str_lookup::lookup(), write_debug_names(), write_gdbindex(), and write_hash_table().

## Member Data Documentation

## ◆ m_vec

gdb::byte_vector data_buf::m_vec
| private

Definition at line 25544 of file dwarf2read.c.

Referenced by empty(), file_write(), grow(), and size().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c